package angarnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Объект сетевого ангара
*/

// AngarNet -- объект сетевого ангара
type AngarNet struct {
	*sectionnet.SectionNet
	angar types.ИАнгар
}

// NewAngarNet -- возвращает новый *AngarNet
func NewAngarNet(angar types.ИАнгар) (*AngarNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(angar, "http://wartank.ru/angar")
	if err != nil {
		return nil, fmt.Errorf("NewAngarNet(): in create *SectionNet, err=\n\t%w", err)
	}

	sf := &AngarNet{
		SectionNet: sectionNet,
		angar:      angar,
	}

	return sf, nil
}
